## DhTab DhTab — Subclass of GtkGrid containing a DhWebView |

## Functions

DhTab * | dh_tab_new ()
DhWebView * | dh_tab_get_web_view ()

## Properties

DhWebView * | web-view | Read / Write / Construct Only

## Types and Values

struct | DhTab

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkGrid
                        ╰── DhTab

## Implemented Interfaces

DhTab implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Includes

    #include <devhelp/devhelp.h>

## Description

DhTab is a subclass of GtkGrid, it is meant to be the content of one tab in a DhNotebook. It contains by default only one element: a DhWebView. But applications can add more widgets to the GtkGrid.

## Functions

### dh_tab_new ()

    DhTab *
    dh_tab_new (DhWebView *web_view);

#### Parameters

web_view | a DhWebView, or `NULL` to create a DhWebView with the default DhProfile. | [nullable]

#### Returns

a new DhTab.

[transfer floating]

Since: 3.30

### dh_tab_get_web_view ()

    DhWebView *
    dh_tab_get_web_view (DhTab *tab);

#### Parameters

tab | a DhTab. |

#### Returns

the “web-view”.

[transfer none]

Since: 3.30

## Types and Values

### struct DhTab

    struct DhTab;

## Property Details

### The `“web-view”` property

      “web-view”                 DhWebView *

The DhWebView of the tab. If set to `NULL` a DhWebView is created with the default DhProfile.

Flags: Read / Write / Construct Only

Since: 3.30